SymbolPartTree (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.symbology.milStd2525
Class SymbolPartTree

    java.lang.Object
      com.bbn.openmap.tools.symbology.milStd2525.SymbolPart
          com.bbn.openmap.tools.symbology.milStd2525.SymbolPartTree

    public class SymbolPartTree

extends SymbolPart

The SymbolPartTree is a SymbolPart that serves as the top node of the SymbolPart tree.

Field Summary

Fields inherited from class com.bbn.openmap.tools.symbology.milStd2525.SymbolPart
`cgm, cgmName, CGMProperty, code, codePosition, DEBUG, DEFAULT_SYMBOL_CODE, NameProperty, parent, positionShift, prettyName, subs, UNUSED, WILD`

Constructor Summary
`SymbolPartTree(java.lang.String name)`

Method Summary
`java.lang.String` | `toString()` Get a simple string representation of this SymbolPart, including the 15 digit code and the pretty name.

Methods inherited from class com.bbn.openmap.tools.symbology.milStd2525.SymbolPart
`codeMatches, getCode, getCodeOptions, getCodePosition, getCodeScheme, getDescription, getDescription, getParent, getPrettyName, getSubs, getSymbolCode, getSymbolCode, getSymbolCodeMask, paintIcon, setCode, setParent, setPrettyName, setSubs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SymbolPartTree

    public SymbolPartTree(java.lang.String name)

Method Detail

### toString

    public java.lang.String toString()

  Get a simple string representation of this SymbolPart, including the 15 digit code and the pretty name.

  Overrides:
    `toString` in class `SymbolPart`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details